- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes

# Plugin Struct Reference

Search for all occurrences

## Detailed Description

This class holds all the information Mudbox needs about a plugin.

Normally you do not create instances of this class directly. Instead, in your plug-in class you use the MB_PLUGIN macro like this:

     MB_PLUGIN( "<Plugin Name>", "<Brief Description>", "<Author's Name>", "<Related URL (if any)>", <pointer to initializer function> );

The initializer function must be a static method that takes no arguments and returns void. If there is no initializer plugin for the class, this parameter can be NULL.

Definition at line 29 of file plugin.h.

`#include <plugin.h>`

List of all members.

## Public Types
typedef void | initializer (void)
## Public Member Functions
| Plugin (void)
| Null constructor.
| Plugin (const QString &sName, const QString &sDescription, const QString &sAuthor, const QString &sURL, const QString &sCompileTime, initializer *fFunc=0)
| Constructor. Use MB_PLUGIN macro instead.
## Static Public Member Functions
static void | SetVersion (const QString &sName, const QString &sVersion)
| This method sets the version number based on a plug-in name.
## Public Attributes
QString | m_sName
| The name of the plug-in.
QString | m_sDescription
| A brief description of what it does.
QString | m_sAuthor
| The name of the plug-in's author.
QString | m_sURL
| A URL that contains information related to the plug-in (if any)
QString | m_sCompileTime
| The date and time that the plugin was loaded (generated automatically)
QString | m_sPluginFolder
| The path of the folder that the plug-in was loaded from (set at load time)
initializer * | m_pInitializer
| A pointer to the initializer funtion of the plug-in.
QString | m_sVersion
| The version of the plug-in.

## Member Typedef Documentation

typedef void initializer(void)

Search for all occurrences

Definition at line 31 of file plugin.h.

## Constructor & Destructor Documentation

Plugin | ( | void |  | ) | `[inline]`

Null constructor.

Definition at line 34 of file plugin.h.

    {};

Plugin | ( | const QString & | sName,
|  | const QString & | sDescription,
|  | const QString & | sAuthor,
|  | const QString & | sURL,
|  | const QString & | sCompileTime,
|  | initializer * | fFunc = `0`
| ) |  |

Constructor. Use MB_PLUGIN macro instead.

## Member Function Documentation

static void SetVersion | ( | const QString & | sName,
|  | const QString & | sVersion
| ) |  | `[static]`

Search for all occurrences

This method sets the version number based on a plug-in name.

## Member Data Documentation

QString m_sName

Search for all occurrences

The name of the plug-in.

Definition at line 42 of file plugin.h.

QString m_sDescription

Search for all occurrences

A brief description of what it does.

Definition at line 43 of file plugin.h.

QString m_sAuthor

Search for all occurrences

The name of the plug-in's author.

Definition at line 44 of file plugin.h.

QString m_sURL

Search for all occurrences

A URL that contains information related to the plug-in (if any)

Definition at line 45 of file plugin.h.

QString m_sCompileTime

Search for all occurrences

The date and time that the plugin was loaded (generated automatically)

Definition at line 46 of file plugin.h.

QString m_sPluginFolder

Search for all occurrences

The path of the folder that the plug-in was loaded from (set at load time)

Definition at line 47 of file plugin.h.

initializer* m_pInitializer

Search for all occurrences

A pointer to the initializer funtion of the plug-in.

Definition at line 48 of file plugin.h.

QString m_sVersion

Search for all occurrences

The version of the plug-in.

Definition at line 49 of file plugin.h.

The documentation for this struct was generated from the following file:

- Mudbox/plugin.h